## PDS Set Auto Tracking State request PDS Set Auto Tracking State request |

## Functions

QmiMessagePdsSetAutoTrackingStateInput * | qmi_message_pds_set_auto_tracking_state_input_new ()
QmiMessagePdsSetAutoTrackingStateInput * | qmi_message_pds_set_auto_tracking_state_input_ref ()
void | qmi_message_pds_set_auto_tracking_state_input_unref ()
gboolean | qmi_message_pds_set_auto_tracking_state_input_get_state ()
gboolean | qmi_message_pds_set_auto_tracking_state_input_set_state ()
QmiMessagePdsSetAutoTrackingStateOutput * | qmi_message_pds_set_auto_tracking_state_output_ref ()
void | qmi_message_pds_set_auto_tracking_state_output_unref ()
gboolean | qmi_message_pds_set_auto_tracking_state_output_get_result ()
void | qmi_client_pds_set_auto_tracking_state ()
QmiMessagePdsSetAutoTrackingStateOutput * | qmi_client_pds_set_auto_tracking_state_finish ()

## Types and Values

| QmiMessagePdsSetAutoTrackingStateInput
| QmiMessagePdsSetAutoTrackingStateOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdsSetAutoTrackingStateInput
        ╰── QmiMessagePdsSetAutoTrackingStateOutput

## Description

## Functions

### qmi_message_pds_set_auto_tracking_state_input_new ()

    QmiMessagePdsSetAutoTrackingStateInput *
    qmi_message_pds_set_auto_tracking_state_input_new
                                   (void);

Allocates a new QmiMessagePdsSetAutoTrackingStateInput.

#### Returns

the newly created QmiMessagePdsSetAutoTrackingStateInput. The returned value should be freed with `qmi_message_pds_set_auto_tracking_state_input_unref()`.

Since: 1.0

### qmi_message_pds_set_auto_tracking_state_input_ref ()

    QmiMessagePdsSetAutoTrackingStateInput *
    qmi_message_pds_set_auto_tracking_state_input_ref
                                   (QmiMessagePdsSetAutoTrackingStateInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdsSetAutoTrackingStateInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_pds_set_auto_tracking_state_input_unref ()

    void
    qmi_message_pds_set_auto_tracking_state_input_unref
                                   (QmiMessagePdsSetAutoTrackingStateInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdsSetAutoTrackingStateInput. |

Since: 1.0

### qmi_message_pds_set_auto_tracking_state_input_get_state ()

    gboolean
    qmi_message_pds_set_auto_tracking_state_input_get_state
                                   (QmiMessagePdsSetAutoTrackingStateInput *self,
                                    gboolean *value_state_auto_tracking_state,
                                    GError **error);

Get the 'State' field from `self` .

#### Parameters

self | a QmiMessagePdsSetAutoTrackingStateInput. |
value_state_auto_tracking_state | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_auto_tracking_state_input_set_state ()

    gboolean
    qmi_message_pds_set_auto_tracking_state_input_set_state
                                   (QmiMessagePdsSetAutoTrackingStateInput *self,
                                    gboolean value_state_auto_tracking_state,
                                    GError **error);

Set the 'State' field in the message.

#### Parameters

self | a QmiMessagePdsSetAutoTrackingStateInput. |
value_state_auto_tracking_state | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_pds_set_auto_tracking_state_output_ref ()

    QmiMessagePdsSetAutoTrackingStateOutput *
    qmi_message_pds_set_auto_tracking_state_output_ref
                                   (QmiMessagePdsSetAutoTrackingStateOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdsSetAutoTrackingStateOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_pds_set_auto_tracking_state_output_unref ()

    void
    qmi_message_pds_set_auto_tracking_state_output_unref
                                   (QmiMessagePdsSetAutoTrackingStateOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdsSetAutoTrackingStateOutput. |

Since: 1.0

### qmi_message_pds_set_auto_tracking_state_output_get_result ()

    gboolean
    qmi_message_pds_set_auto_tracking_state_output_get_result
                                   (QmiMessagePdsSetAutoTrackingStateOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdsSetAutoTrackingStateOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_pds_set_auto_tracking_state ()

    void
    qmi_client_pds_set_auto_tracking_state
                                   (QmiClientPds *self,
                                    QmiMessagePdsSetAutoTrackingStateInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set Auto Tracking State request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pds_set_auto_tracking_state_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPds. |
input | a QmiMessagePdsSetAutoTrackingStateInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_pds_set_auto_tracking_state_finish ()

    QmiMessagePdsSetAutoTrackingStateOutput *
    qmi_client_pds_set_auto_tracking_state_finish
                                   (QmiClientPds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pds_set_auto_tracking_state()`.

#### Parameters

self | a QmiClientPds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pds_set_auto_tracking_state()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdsSetAutoTrackingStateOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pds_set_auto_tracking_state_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessagePdsSetAutoTrackingStateInput

    typedef struct _QmiMessagePdsSetAutoTrackingStateInput QmiMessagePdsSetAutoTrackingStateInput;

The QmiMessagePdsSetAutoTrackingStateInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessagePdsSetAutoTrackingStateOutput

    typedef struct _QmiMessagePdsSetAutoTrackingStateOutput QmiMessagePdsSetAutoTrackingStateOutput;

The QmiMessagePdsSetAutoTrackingStateOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0